.carousel {
    position: relative;
    width: 450px;
    height: 130px;
    background-color: #cccccc;
    border-radius: 15px;
}

.gallery {
    width: 390px;
    overflow: hidden;
    margin: 0 30px 0 30px;
}

.gallery ul {
    height: 130px;
    width: 9999px;
    margin: 0;
    padding: 0;
    list-style: none;
    /* убрать между inline-block li лишние пробелы, которые есть в HTML */
    /* http://davidwalsh.name/remove-whitespace-inline-block */

    font-size: 0;
    transition: margin-left 1s ease-in-out;
}

ul img {
    width: 130px;
    height: 130px;
    /* по умолчанию inline, но в ряде браузеров это даст лишнее пространство вокруг элементов */

    display: block;
}

ul li {
    /* если в HTML между элементами <li>..</li> есть пробелы, то они будут видны на странице,
    чтобы их избежать, нужно либо писать <li>..</li><li>..</li> вплотную, либо не ставить закрывающие </li> */

    display: inline-block;
}


.arrow {
    position: absolute;
    padding: 0;
    top: 50%;
    transform: translateY(-50%);
    background: #ddd;
    border-radius: 15px;
    border: 1px solid gray;
    font-size: 24px;
    line-height: 24px;
    color: #444;
    display: block;
}

.arrow:focus {
    outline: none;
}

.arrow:hover {
    background: #ccc;
    cursor: pointer;
}

.arrow__left {
    left: 10px;
}

.arrow__right {
    right: 10px;
}